//------------------------------------------------------------------
// CONTEC PCI RESOURCE RECOGNIZING TOOL FOR MS-DOS
// GETRES.C
//												CONTEC Co.,Ltd
//												2002.04.18
//------------------------------------------------------------------
#include <stdio.h>
#include <dos.h>
#include <string.h>
#include "getpci.h"

//-------------------------------------------------------------------
// Main routine : Get PCI Resource
//-------------------------------------------------------------------
void main(int argc, char *argv[])
{
	int	ret;
	unsigned short VenderID, DeviceID, BoardID;
	unsigned short IoAddr[6], IoNum;
	unsigned long MemAddr[6];
	unsigned short MemNum;
	unsigned short Irq;
	unsigned i;
	//-----------------------
	// Parameter check
	//-----------------------
	if (argc != 4) {
		printf("CONTEC PCI Resource Utility\n", argv[0]);
		printf("Usage : GETRES.EXE <VenderID> <DeviceID> <BoardID>\n");
		return;
	} else {
		sscanf(argv[1], "%x", &VenderID);
		sscanf(argv[2], "%x", &DeviceID);
		sscanf(argv[3], "%x", &BoardID);
	}
	ret = GetPciResource(VenderID, DeviceID, BoardID, &IoAddr[0], &IoNum, &Irq, &MemAddr[0], &MemNum);
	if (ret != 0) {
		printf("Error = %d\n", ret);
		return;
	}
	for (i=0; i<IoNum; i++) {
		printf("IoAddr[%d] = %04X\n", i, IoAddr[i]);
	}
	for (i=0; i<MemNum; i++) {
		printf("MemAddr[%d] = %08lX\n", i, MemAddr[i]);
	}
	if (Irq != 0xff) {
		printf("IRQ = %d\n", Irq);
	}
}
