////////////////////////////////////////////////////////////////////////////////////////////////
//	The header file for GPIB Ver1.01
////////////////////////////////////////////////////////////////////////////////////////////////
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif 

//==============================================================================================
//	Function prototype
//==============================================================================================

//-----------------------------------------------
//	Public presentation
//-----------------------------------------------
//Common
long GpibInit(char *DeviceName, short *Id);
long GpibExit(short Id);
long GpibGetErrorString(long ErrorCode, char *ErrorString);
//Initialization
long GpibSetEquipment(short Id, short *EqpId, short PrmAddr, short ScdAddr, short Eos);
long GpibGetEquipment(short EqpId, short *PrmAddr, short *ScdAddr, short *Eos);
long GpibSendIFC(short Id, short IfcTime);
long GpibChangeREN(short Id, short Enable);
long GpibEnableRemote(short Id);
//Send and Reception
long GpibSendData(short Id, long *SendLen, char *SendBuf);
long GpibRecData(short Id, long *RecLen, char *RecBuf);
long GpibSetDelim(short Id, short Delim, short Eoi, short Eos);
long GpibGetDelim(short Id, short *Delim, short *Eoi, short *Eos);
long GpibSetTimeOut(short Id, long TimeOut);
long GpibGetTimeOut(short Id, long *TimeOut);
long GpibSetSlowMode(short Id, short SlowTime);
long GpibGetSlowMode(short Id, short *SlowTime);
long GpibSetSmoothMode(short Id_Ag, short Mode_Ag);
long GpibGetSmoothMode(short Id_Ag, short *pMode_Ag);
long GpibSetAddrInfo(short Id, short Talker, short *ListenerArray);
long GpibGetAddrInfo(short Id, short *Talker, short *ListenerArray);
//Serial poll
long GpibSPoll(short EqpId, short *Stb, short *SrqLine);
long GpibSPollAll(short Id, short *AddrArray, short *StbArray, short *SrqLineArray);
//SRQ response
long GpibSendSRQ(short Id, short SrqSend, short Stb);
long GpibCheckSPoll(short Id, short *SPoll, short *Stb);
//Control
long GpibSendCommands(short Id, short *CmdArray);
long GpibSendTrigger(short Id);
long GpibSendDeviceClear(short Id);
long GpibChangeLocal(short Id);
long GpibSendLocalLockout(short Id);
//Status
long GpibSetStatus(short Id, short Select, long Data);
long GpibGetStatus(short Id, short Select, long *Data);
long GpibReadLines(short Id, short Select, short *LineStatus);
long GpibFindListener(short Id, short PrmAddr, short ScdAddr, short *ArraySize, short *AddrArray);

#ifdef __cplusplus
};
#endif
